/*
		                 LCRZOEX
                             Network toolbox
             Copyright(c) 1999,2000,2001,2002 Laurent Constantin
                                  -----

  Main server    : http://www.laurentconstantin.com/
  Backup servers : http://go.to/laurentconstantin/
                   http://laurentconstantin.est-la.com/
                   http://laurentconstantin.free.fr/
                   http://membres.lycos.fr/lauconstantin/
  [my current email address is on the web servers]

                                  -----
  This file is part of Lcrzoex.

  Lcrzoex is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Lcrzoex is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details (http://www.gnu.org/).

------------------------------------------------------------------------
*/

#include <lcrzo.h>
#include "../lcrzoex.h"

/*-------------------------------------------------------------*/
/*en print title of an tool */
/*fr affiche le titre d'un outil */
int shared_lcrzoex_title_print(shared_lcrzoex_infos infos)
{ lcrzo_int16 language;

  lcrzo_int32_print("", infos.refvalue, "% 6d", " -");
  lcrzo_er(lcrzo_global_get_language(&language));
  if (language==LCRZO_GLOBAL_LANG_FR)
  { printf(" %s\n", infos.title_fr);
  }
  else
  { printf(" %s\n", infos.title_en);
  }

  return(LCRZO_ERR_OK);
}

/*-------------------------------------------------------------*/
/*en print information about an tool */
/*fr affiche les informations sur un outil */
int shared_lcrzoex_infos_print(shared_lcrzoex_infos infos,
			       lcrzo_conststring progname)
{ lcrzo_int16 language;

  lcrzo_er(lcrzo_global_get_language(&language));
  /* check if user has admin privileges */
  lcrzo_epr(shared_misc_checkadmin(language));

  printf("Reference    : %s_", infos.refname);
  lcrzo_int32_print("", infos.refvalue, "%06d", ", ");
  if (language==LCRZO_GLOBAL_LANG_FR)
  { printf("version (de cet outil)");
  }
  else
  { printf("version (of this tool)");
  }
  printf(" %d.%02d\n", infos.majorversion, infos.minorversion);
  if (language==LCRZO_GLOBAL_LANG_FR)
  { printf("Titre        : %s\n", infos.title_fr);
    if ( strlen(infos.description_fr) )
      printf("Description  : %s\n", infos.description_fr);
    if ( strlen(infos.author) )
      printf("Auteur       : %s\n", infos.author);
    printf("Usage        : %s %s\n", progname, infos.usage_fr);
    printf("Exemple      : %s %s\n", progname, infos.usageex_fr);
  }
  else
  { printf("Title        : %s\n", infos.title_en);
    if ( strlen(infos.description_en) )
      printf("Description  : %s\n", infos.description_en);
    if ( strlen(infos.author) )
      printf("Author       : %s\n", infos.author);
    printf("Usage        : %s %s\n", progname, infos.usage_en);
    printf("Example      : %s %s\n", progname, infos.usageex_en);
  }

  return(LCRZO_ERR_OK);
}

/*-------------------------------------------------------------*/
/*en redirect an old tool */
/*fr redirige un ancien outil, vers un nouvel outil*/
int shared_lcrzoex_redirect_print(shared_lcrzoex_infos old,
				  shared_lcrzoex_infos new)
{ lcrzo_int16 language;
  lcrzo_er(lcrzo_global_get_language(&language));
  if (language==LCRZO_GLOBAL_LANG_FR)
  { printf("** L'outil :\n");
  }
  else
  { printf("** The tool :\n");
  }
  printf("**   Reference  : %s_", old.refname);
  lcrzo_int32_print("", old.refvalue, "%06d", "\n");
  printf("**   Version    : %d.%02d\n", old.majorversion, old.minorversion);
  if (language==LCRZO_GLOBAL_LANG_FR)
  { printf("** a ete remplace par :\n");
  }
  else
  { printf("** was superseded by :\n");
  }
  printf("**   Reference  : %s_", new.refname);
  lcrzo_int32_print("", new.refvalue, "%06d", "\n");
  printf("**   Version    : %d.%02d\n", new.majorversion, new.minorversion);
  
  return(LCRZO_ERR_OK);
}
